#!/bin/sh
#
# sfcmilter.sh - startup script for sfcmilter on FreeBSD
#
# This goes in /usr/local/etc/rc.d and gets run at boot-time.
#
# Variables available:
#   sfcmilter_enable='YES/NO'
#   sfcmilter_program='path'
#   sfcmilter_socket='path'
#   sfcmilter_flags='flags'

# PROVIDE: sfcmilter
# REQUIRE: LOGIN FILESYSTEMS
# BEFORE: mail

. /etc/rc.subr

name='sfcmilter'
rcvar='sfcmilter_enable'

load_rc_config "$name"

# Set defaults.
sfcmilter_enable="${sfcmilter_enable:-NO}"
sfcmilter_program="${sfcmilter_program:-/usr/local/sbin/sfcmilter}"
sfcmilter_socket="${sfcmilter_socket:-/var/run/sfcmilter.sock}"

# Add socket to any given argument.
sfcmilter_flags="${sfcmilter_flags} ${sfcmilter_socket}"

command="$sfcmilter_program"

run_rc_command "$1"
